Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-transifex
%global pkgname python-transifex

Name:           python-module-transifex
Version:        0.1.7
Release:        alt1_2
Summary:        Python API to transifex

License:        BSD
URL:            https://github.com/jakul/python-transifex/
Source0:        http://pypi.python.org/packages/source/p/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-requests
BuildRequires:  python-module-mock
Source44: import.info

%description
A python API to transifex

%prep
%setup -q -n %{pkgname}-%{version}

%build
python setup.py build

%install
python setup.py install --skip-build --root %{buildroot}
rm -rf %{buildroot}%{python-sitelib}/transifex/tests

%check
python -m unittest 'transifex.tests.api'
 
%files
%doc README.rst
%{python_sitelibdir_noarch}/transifex
%{python_sitelibdir_noarch}/python_transifex-*.egg-info

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.7-alt1_2
- update to new release by fcimport

* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.7-alt1_1
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.1.6-alt1_2
- initial fc import

